How to Upgrade Reporting from Confluence 3.x to 4.x and Above?

Plugin:
Reporting for Confluence
Question:
How to Upgrade Reporting from Confluence 3.x to 4.x and Above?
Answer:

Take It Step By Step

After you upgrade Confluence, pages that contain Reporting for Confluence macros may render incorrectly.

If you are upgrading Confluence to v4.3 and above, there might be some problems with the wiki markup migration if you upgrade directly from Confluence v3.x to the latest version. It is recommended instead to upgrade Confluence version by version so that your data can be maintained.

Refer to the Confluence safety upgrade steps below to ensure all wiki markup data are migrated completely:

Step 1:

Upgrade Confluence v3.x to Confluence v3.5.x with Reporting for Confluence 3.4.2.

Step 2:

Upgrade Confluence v3.5.x to Confluence 4.2.x with Reporting for Confluence 4.1.0.

Step 3:

Upgrade Confluence v4.2.x to Confluence 4.3.x with Reporting for Confluence 4.1.0.

Step 4:

Upgrade Confluence v4.3.x to Confluence v5.8.x / v5.10.x with Reporting for Confluence 5.3.0.

Step 5:

Step 6:

On Reporting for Confluence , uninstall all older dependencies which are not required by modern version of Reporting for Confluence. You can refer to this on the ServiceRocket Add-on Dependencies page.

Step 7:

Upgrade Confluence v5.x to Confluence v6.x with the latest compatible version of Reporting for Confluence

A Note on Confluence 5.x

Confluence 5.0.x should not be required.

If you are at Confluence 4.3, you may upgrade to the latest version of Confluence 5.x.

Upgrade Instructions for Each Add-on

  1. Before upgrading Confluence, go to Administration > Plugins > Manage Existing.
  2. Disable the Reporting for Confluence add-on.
  3. Upgrade Confluence.
  4. Update Reporting for Confluence through Administration > Plugins > Upgrade.
  5. Enable the Reporting for Confluence add-on.

Unmigrated Wiki Markup

You may see that after the Reporting for Confluence add-on is enabled, the wiki markup does not convert or render correctly. If this happens, it is advisable to do the following:

  1. Rebuild the Confluence Index through Administration > Content Indexing > Rebuild both.
  2. Refer to the Wiki Markup to XHTML Migration article. Under the Re-attempt Migration section, run the unmigratedwikicontent.action command.

Related Knowledge Base